# tinybig.compression

::: tinybig.compression

---------------------------------------
## Organization of this Module

### Data Expansion/Transformation
* [transformation](../module/transformation.md) (defined in the tinybig.module directory)

### Basic Compressions
* [identity_compression](identity_compression.md)
* [reciprocal_compression](reciprocal_compression.md)
* [linear_compression](linear_compression.md)

### Metric based Compressions
* [metric_compression](metric_compression.md)
* [max_compression](max_compression.md)
* [min_compression](min_compression.md)
* [sum_compression](sum_compression.md)
* [prod_compression](prod_compression.md)
* [mean_compression](mean_compression.md)
* [median_compression](median_compression.md)

### Geometric based Compressions
* [geometric_compression](geometric_compression.md)
* [cuboid_patch_based_geometric_compression](cuboid_patch_based_geometric_compression.md)
* [cuboid_max_based_geometric_compression](cuboid_max_based_geometric_compression.md)
* [cuboid_min_based_geometric_compression](cuboid_min_based_geometric_compression.md)
* [cuboid_mean_based_geometric_compression](cuboid_mean_based_geometric_compression.md)
* [cylinder_patch_based_geometric_compression](cylinder_patch_based_geometric_compression.md)
* [cylinder_max_based_geometric_compression](cylinder_max_based_geometric_compression.md)
* [cylinder_min_based_geometric_compression](cylinder_min_based_geometric_compression.md)
* [cylinder_mean_based_geometric_compression](cylinder_mean_based_geometric_compression.md)
* [sphere_patch_based_geometric_compression](sphere_patch_based_geometric_compression.md)
* [sphere_max_based_geometric_compression](sphere_max_based_geometric_compression.md)
* [sphere_min_based_geometric_compression](sphere_min_based_geometric_compression.md)
* [sphere_mean_based_geometric_compression](sphere_mean_based_geometric_compression.md)

### Feature Selection based Compressions
* [feature_selection_compression](feature_selection_compression.md)
* [incremental_feature_clustering_based_compression](incremental_feature_clustering_based_compression.md)
* [incremental_variance_threshold_based_compression](incremental_variance_threshold_based_compression.md)

### Dimension Reduction based Compressions
* [dimension_reduction_compression](dimension_reduction_compression.md)
* [incremental_PCA_based_compression](incremental_PCA_based_compression.md)
* [incremental_random_projection_based_compression](incremental_random_projection_based_compression.md)

### Manifold based Compressions
* [manifold_compression](manifold_compression.md)
* [isomap_manifold_compression](isomap_manifold_compression.md)
* [lle_manifold_compression](lle_manifold_compression.md)
* [mds_manifold_compression](mds_manifold_compression.md)
* [spectral_embedding_manifold_compression](spectral_embedding_manifold_compression.md)
* [tsne_manifold_compression](tsne_manifold_compression.md)

### Naive Probabilistic Compressions
* [naive_probabilistic_compression](naive_probabilistic_compression.md)
* [naive_uniform_probabilistic_compression](naive_uniform_probabilistic_compression.md)
* [naive_normal_probabilistic_compression](naive_normal_probabilistic_compression.md)
* [naive_cauchy_probabilistic_compression](naive_cauchy_probabilistic_compression.md)
* [naive_chi2_probabilistic_compression](naive_chi2_probabilistic_compression.md)
* [naive_exponential_probabilistic_compression](naive_exponential_probabilistic_compression.md)
* [naive_gamma_probabilistic_compression](naive_gamma_probabilistic_compression.md)
* [naive_laplace_probabilistic_compression](naive_laplace_probabilistic_compression.md)

### Combinatorial Probabilistic Compressions
* [combinatorial_compression](combinatorial_compression.md)
* [combinatorial_probabilistic_compression](combinatorial_probabilistic_compression.md)

### Nested and Extended Compressions
* [nested_compression](nested_compression.md)
* [extended_compression](extended_compression.md)