# tinybig.interdependence

::: tinybig.interdependence

---------------------------------------
## Organization of this Module

### Interdependence Function
* [interdependence](../module/interdependence.md) (defined in the tinybig.module directory)

### Basic Interdependence Functions
* [constant_interdependence](constant_interdependence.md)
* [constant_c_interdependence](constant_c_interdependence.md)
* [zero_interdependence](zero_interdependence.md)
* [one_interdependence](one_interdependence.md)
* [identity_interdependence](identity_interdependence.md)

### Statistical Kernel based Interdependence Functions
* [statistical_kernel_based_interdependence](statistical_kernel_based_interdependence.md)
* [kl_divergence_interdependence](kl_divergence_interdependence.md)
* [pearson_correlation_interdependence](pearson_correlation_interdependence.md)
* [rv_coefficient_interdependence](rv_coefficient_interdependence.md)
* [mutual_information_interdependence](mutual_information_interdependence.md)

### Numerical Kernel based Interdependence Functions
* [numerical_kernel_based_interdependence](numerical_kernel_based_interdependence.md)
* [linear_kernel_interdependence](linear_kernel_interdependence.md)
* [polynomial_kernel_interdependence](polynomial_kernel_interdependence.md)
* [hyperbolic_tangent_kernel_interdependence](hyperbolic_tangent_kernel_interdependence.md)
* [exponential_kernel_interdependence](exponential_kernel_interdependence.md)
* [minkowski_distance_interdependence](minkowski_distance_interdependence.md)
* [manhattan_distance_interdependence](manhattan_distance_interdependence.md)
* [euclidean_distance_interdependence](euclidean_distance_interdependence.md)
* [chebyshev_distance_interdependence](chebyshev_distance_interdependence.md)
* [canberra_distance_interdependence](canberra_distance_interdependence.md)
* [cosine_similarity_interdependence](cosine_similarity_interdependence.md)
* [gaussian_rbf_kernel_interdependence](gaussian_rbf_kernel_interdependence.md)
* [laplacian_kernel_interdependence](laplacian_kernel_interdependence.md)
* [anisotropic_rbf_kernel_interdependence](anisotropic_rbf_kernel_interdependence.md)
* [custom_hybrid_kernel_interdependence](custom_hybrid_kernel_interdependence.md)

### Parameterized Interdependence Functions
* [parameterized_interdependence](parameterized_interdependence.md)
* [lowrank_parameterized_interdependence](lowrank_parameterized_interdependence.md)
* [hm_parameterized_interdependence](hm_parameterized_interdependence.md)
* [lphm_parameterized_interdependence](lphm_parameterized_interdependence.md)
* [dual_lphm_parameterized_interdependence](dual_lphm_parameterized_interdependence.md)
* [random_matrix_adaption_parameterized_interdependence](random_matrix_adaption_parameterized_interdependence.md)

### Parameterized Bilinear Interdependence Functions
* [parameterized_bilinear_interdependence](parameterized_bilinear_interdependence.md)
* [lowrank_parameterized_bilinear_interdependence](lowrank_parameterized_bilinear_interdependence.md)
* [hm_parameterized_bilinear_interdependence](hm_parameterized_bilinear_interdependence.md)
* [lphm_parameterized_bilinear_interdependence](lphm_parameterized_bilinear_interdependence.md)
* [dual_lphm_parameterized_bilinear_interdependence](dual_lphm_parameterized_bilinear_interdependence.md)
* [random_matrix_adaption_parameterized_bilinear_interdependence](random_matrix_adaption_parameterized_bilinear_interdependence.md)

### Topological Structural Interdependence Functions
* [graph_interdependence](graph_interdependence.md)
* [multihop_graph_interdependence](multihop_graph_interdependence.md)
* [pagerank_multihop_graph_interdependence](pagerank_multihop_graph_interdependence.md)
* [chain_interdependence](chain_interdependence.md)
* [multihop_chain_interdependence](multihop_chain_interdependence.md)
* [inverse_approx_multihop_chain_interdependence](inverse_approx_multihop_chain_interdependence.md)
* [exponential_approx_multihop_chain_interdependence](exponential_approx_multihop_chain_interdependence.md)

### Geometric Structural Interdependence Functions
* [geometric_interdependence](geometric_interdependence.md)
* [cuboid_patch_based_geometric_interdependence](cuboid_patch_based_geometric_interdependence.md)
* [cuboid_patch_padding_based_geometric_interdependence](cuboid_patch_padding_based_geometric_interdependence.md)
* [cuboid_patch_aggregation_based_geometric_interdependence](cuboid_patch_aggregation_based_geometric_interdependence.md)
* [cylinder_patch_based_geometric_interdependence](cylinder_patch_based_geometric_interdependence.md)
* [cylinder_patch_padding_based_geometric_interdependence](cylinder_patch_padding_based_geometric_interdependence.md)
* [cylinder_patch_aggregation_based_geometric_interdependence](cylinder_patch_aggregation_based_geometric_interdependence.md)
* [sphere_patch_based_geometric_interdependence](sphere_patch_based_geometric_interdependence.md)
* [sphere_patch_padding_based_geometric_interdependence](sphere_patch_padding_based_geometric_interdependence.md)
* [sphere_patch_aggregation_based_geometric_interdependence](sphere_patch_aggregation_based_geometric_interdependence.md)

### Parameterized RPN based Interdependence Function
* [parameterized_rpn_interdependence](parameterized_rpn_interdependence.md)

### Hybrid Interdependence Function
* [hybrid_interdependence](hybrid_interdependence.md)


